> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 2.0 Reference-to-Video マルチモーダル参照動画生成

> - 参照画像（0〜9枚）+ 参照動画（0〜3本）+ 参照音声（0〜3本）+ テキストプロンプトで動画を生成
- 新規生成、動画編集、動画延長など多様な制作シーンに対応
- **AIGCタイプの実写素材に対応**
- 非同期処理モード。返却されたタスクIDで[照会してください](/ja/api-manual/task-management/get-task-detail)
- 生成された動画リンクの有効期限は24時間です。お早めに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/seedance2.0/seedance-2.0-reference-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Seedance 2.0 Reference-to-Video API
  description: Seedance 2.0 マルチモーダル参照動画生成API。画像、動画、音声の参照素材を組み合わせた動画生成に対応
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 動画生成
    description: AI動画生成関連API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: Seedance 2.0 Reference-to-Video マルチモーダル参照動画生成
      description: >-
        - 参照画像（0〜9枚）+ 参照動画（0〜3本）+ 参照音声（0〜3本）+ テキストプロンプトで動画を生成

        - 新規生成、動画編集、動画延長など多様な制作シーンに対応

        - **AIGCタイプの実写素材に対応**

        -
        非同期処理モード。返却されたタスクIDで[照会してください](/ja/api-manual/task-management/get-task-detail)

        - 生成された動画リンクの有効期限は24時間です。お早めに保存してください
      operationId: createSeedance20ReferenceToVideo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              multimodal:
                summary: マルチモーダル参照（画像 + 動画 + 音声）
                value:
                  model: seedance-2.0-reference-to-video
                  prompt: >-
                    Use the first-person perspective framing of video 1
                    throughout, use audio 1 as background music throughout.
                    First-person perspective fruit tea promotional video...
                  image_urls:
                    - https://example.com/ref1.jpg
                    - https://example.com/ref2.jpg
                  video_urls:
                    - https://example.com/reference.mp4
                  audio_urls:
                    - https://example.com/bgm.mp3
                  duration: 10
                  quality: 720p
                  aspect_ratio: '16:9'
                  generate_audio: true
                  content_filter: true
              video_edit:
                summary: 動画編集（要素の置換）
                value:
                  model: seedance-2.0-reference-to-video
                  prompt: >-
                    Replace the perfume in the gift box in video 1 with the face
                    cream in image 1, keep the camera movement unchanged
                  image_urls:
                    - https://example.com/cream.jpg
                  video_urls:
                    - https://example.com/original.mp4
                  duration: 5
                  aspect_ratio: '16:9'
              video_extend:
                summary: 動画延長（複数セグメント結合）
                value:
                  model: seedance-2.0-reference-to-video
                  prompt: >-
                    The arched window in video 1 opens, entering the art gallery
                    interior, continuing with video 2, then the camera enters
                    the painting, continuing with video 3
                  video_urls:
                    - https://example.com/part1.mp4
                    - https://example.com/part2.mp4
                    - https://example.com/part3.mp4
                  duration: 8
                  aspect_ratio: '16:9'
                  generate_audio: true
                  content_filter: true
      responses:
        '200':
          description: 動画生成タスクの作成に成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、Tokenが無効または期限切れ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセス権限なし
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    seedance-2.0-reference-to-video
                  type: invalid_request_error
        '429':
          description: リクエスト頻度が上限を超過
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 動画生成モデル名
          enum:
            - seedance-2.0-reference-to-video
          default: seedance-2.0-reference-to-video
          example: seedance-2.0-reference-to-video
        prompt:
          type: string
          description: >-
            生成したい動画を説明するテキストプロンプト。中国語・英語に対応。中国語は500文字以内を推奨。プロンプトの最大長：10000
            tokens


            **説明：**

            - 自然言語で各素材の用途を指定できます。例：「先頭フレームは画像1」「動画1のカメラワークを全編で使用」「音声1をBGMとして使用」

            - モデルが素材番号と用途の対応関係を自動的に理解します
          example: >-
            Use the first-person perspective framing of video 1 throughout, use
            audio 1 as background music throughout. First-person perspective
            fruit tea promotional video...
        image_urls:
          type: array
          description: >-
            参照画像 URL 配列、**0〜9 枚**


            **役割の説明：**


            | メディアタイプ | 役割 | 典型的な用途 |

            |---------|------|----------|

            | 画像 | `reference_image` | スタイル参照、商品画像、先頭/末尾フレーム（promptで指定） |


            **画像要件：**

            - 対応フォーマット：`.jpeg`、`.png`、`.webp`

            - アスペクト比（幅/高さ）：`0.4` 〜 `2.5`

            - 幅・高さピクセル：`300` 〜 `6000` px

            - 1枚あたりのサイズ：`30MB` 以内

            - リクエストボディの合計サイズは `64MB` 以内。Base64エンコードは使用しないでください

            - 画像URLはサーバーから直接アクセス可能である必要があります


            **注意：** `audio_urls`
            のみの入力はできません。少なくとも1枚の画像（`image_urls`）または1本の動画（`video_urls`）を含める必要があります
          items:
            type: string
            format: uri
          maxItems: 9
          example:
            - https://example.com/ref1.jpg
            - https://example.com/ref2.jpg
        video_urls:
          type: array
          description: >-
            参照動画 URL 配列、**0〜3 本**


            **役割の説明：**


            | メディアタイプ | 役割 | 典型的な用途 |

            |---------|------|----------|

            | 動画 | `reference_video` | カメラワーク参照、動作参照、編集/延長元の動画 |


            **動画要件：**

            - 対応フォーマット：`.mp4`、`.mov`

            - 解像度：480p、720p、1080p

            - 1本あたりの動画時間：`2` 〜 `15` 秒、最大3本、全動画の合計時間 ≤ `15` 秒

            - アスペクト比（幅/高さ）：`0.4` 〜 `2.5`

            - 幅・高さピクセル：`300` 〜 `6000` px

            - 画面ピクセル（幅 × 高さ）：`409,600` 〜 `2,086,876`（例：640×640 〜 834×1112）

            - 1本あたりのサイズ：`50MB` 以内

            - フレームレート：`24` 〜 `60` FPS

            - リクエストボディの合計サイズは `64MB` 以内。Base64エンコードは使用しないでください

            - 動画参照を使用すると追加料金が発生します（入力動画の再生時間が課金に算入）

            - 動画URLはサーバーから直接アクセス可能である必要があります


            **注意：** `audio_urls`
            のみの入力はできません。少なくとも1枚の画像（`image_urls`）または1本の動画（`video_urls`）を含める必要があります
          items:
            type: string
            format: uri
          maxItems: 3
          example:
            - https://example.com/reference.mp4
        audio_urls:
          type: array
          description: |-
            参照音声 URL 配列、**0〜3 本**

            **役割の説明：**

            | メディアタイプ | 役割 | 典型的な用途 |
            |---------|------|----------|
            | 音声 | `reference_audio` | BGM、効果音、音声/セリフ参照 |

            **音声要件：**
            - 対応フォーマット：`.wav`、`.mp3`
            - 1本あたりの音声時間：`2` 〜 `15` 秒、最大3本、全音声の合計時間 ≤ `15` 秒
            - 1本あたりのサイズ：`15MB` 以内
            - リクエストボディの合計サイズは `64MB` 以内。Base64エンコードは使用しないでください
            - 音声URLはサーバーから直接アクセス可能である必要があります

            **注意：** 音声のみの入力はできません。少なくとも1本の参照動画または1枚の画像を含める必要があります
          items:
            type: string
            format: uri
          maxItems: 3
          example:
            - https://example.com/bgm.mp3
        duration:
          type: integer
          description: |-
            出力動画の再生時間（秒）、デフォルトは `5` 秒

            **説明：**
            - `4`〜`15` 秒の任意の整数値に対応
            - 再生時間は課金に直接影響します
          default: 5
          minimum: 4
          maximum: 15
          example: 10
        quality:
          type: string
          description: |-
            動画の解像度、デフォルトは `720p`

            **選択可能な値：**
            - `480p`：解像度が低め、料金も低め
            - `720p`：標準解像度、デフォルト値
            - `1080p`：超高解像度
            - `4k`：4K 超高解像度
          enum:
            - 480p
            - 720p
            - 1080p
            - 4k
          default: 720p
          example: 720p
        aspect_ratio:
          type: string
          description: |-
            動画のアスペクト比、デフォルトは `16:9`

            **選択可能な値：**
            - `16:9`（横向き）、`9:16`（縦向き）、`1:1`（正方形）、`4:3`、`3:4`、`21:9`（ウルトラワイド）
            - `adaptive`：プロンプトの意図に基づいて判断。優先順位：動画 > 画像 > プロンプト

            **各解像度の対応ピクセル値：**

            | アスペクト比 | 480p | 720p | 1080p | 4K |
            |:------:|:----:|:----:|:-----:|:----:|
            | 16:9 | 864×496 | 1280×720 | 1920×1080 | 3840×2160 |
            | 4:3 | 752×560 | 1112×834 | 1664×1248 | 3326×2494 |
            | 1:1 | 640×640 | 960×960 | 1440×1440 | 2880×2880 |
            | 3:4 | 560×752 | 834×1112 | 1248×1664 | 2494×3326 |
            | 9:16 | 496×864 | 720×1280 | 1080×1920 | 2160×3840 |
            | 21:9 | 992×432 | 1470×630 | 2206×946 | 4398×1886 |
          enum:
            - '16:9'
            - '9:16'
            - '1:1'
            - '4:3'
            - '3:4'
            - '21:9'
            - adaptive
          default: '16:9'
          example: '16:9'
        generate_audio:
          type: boolean
          description: |-
            同期音声を生成するかどうか、デフォルトは `true`

            **選択可能な値：**
            - `true`：動画に同期音声を含む、追加料金なし
            - `false`：無音動画を出力
          default: true
          example: true
        content_filter:
          type: boolean
          description: >-
            コンテンツフィルター、デフォルトは `true`


            **選択可能な値：**

            - `true`：標準のコンテンツ安全チェック、これがデフォルトです

            - `false`：コンテンツ制限を緩和し、料金が
            +10%（`1.1x`）加算されます。違法および禁止されたコンテンツはこの設定に関係なく常に適用されます
          default: true
          example: true
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスク完了（completed）、失敗（failed）、またはキャンセル（cancelled）時にトリガー

            - 課金確認完了後に送信


            **セキュリティ制限：**

            - HTTPS プロトコルのみ対応

            -
            プライベートIPアドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗後最大 `3` 回リトライ（失敗後 `1`/`2`/`4` 秒でそれぞれリトライ）

            - コールバックレスポンスボディのフォーマットはタスク照会APIの返却フォーマットと同一

            - 2xx ステータスコードを成功とみなし、その他のステータスコードでリトライをトリガー
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1761313744
        id:
          type: string
          description: タスクID
          example: task-unified-1774857405-abc123
        model:
          type: string
          description: 実際に使用されたモデル名
          example: seedance-2.0-reference-to-video
        object:
          type: string
          enum:
            - video.generation.task
          description: タスクの具体的なタイプ
        progress:
          type: integer
          description: タスク進捗パーセンテージ (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスクの出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラー説明情報
            type:
              type: string
              description: エラータイプ
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクがキャンセル可能かどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 165
        video_duration:
          type: integer
          description: 動画の再生時間（秒）
          example: 8
    VideoUsage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_second
        credits_reserved:
          type: number
          description: 推定消費クレジット数
          minimum: 0
          example: 50
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIはBearer Tokenによる認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys) にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに以下を追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````